with GNATCOM.Dispinterface;

package MSHTML.IHTMLDatabinding_Interface is

   type IHTMLDatabinding_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLDatabinding_Type);

   function Pointer (This : IHTMLDatabinding_Type)
     return Pointer_To_IHTMLDatabinding;

   procedure Attach (This    : in out IHTMLDatabinding_Type;
                     Pointer : in     Pointer_To_IHTMLDatabinding);

   procedure Put_dataFld
     (This : IHTMLDatabinding_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dataFld
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_dataSrc
     (This : IHTMLDatabinding_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dataSrc
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_dataFormatAs
     (This : IHTMLDatabinding_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dataFormatAs
     (This : IHTMLDatabinding_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLDatabinding_Interface;

